## com.lowagie.toolbox.swing
Class EventDispatchingThread

    java.lang.Object
      com.lowagie.toolbox.swing.EventDispatchingThread

    public abstract class EventDispatchingThread

extends java.lang.Object

Since:
  2.1.1 (imported from itexttoolbox project)

Nested Class Summary
`private static class` `EventDispatchingThread.ThreadWrapper` Inner class that holds the reference to the thread.

Field Summary
`private EventDispatchingThread.ThreadWrapper` `thread` A wrapper for the tread that executes a time-consuming task.
`private java.lang.Object` `value` The value of an object constructed by the construct() method.

Constructor Summary
`EventDispatchingThread()` Starts a thread.

Method Summary
`abstract java.lang.Object` `construct()` Implement this class; the time-consuming task will go here.
`void` `finished()` Called on the event dispatching thread once the construct method has finished its task.
`java.lang.Object` `get()` Returns the value created by the construct method.
`void` `interrupt()` Forces the thread to stop what it's doing.
`void` `start()` Starts the thread.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### value

    private java.lang.Object value

  The value of an object constructed by the construct() method.

### thread

    private EventDispatchingThread.ThreadWrapper thread

  A wrapper for the tread that executes a time-consuming task.

Constructor Detail

### EventDispatchingThread

    public EventDispatchingThread()

  Starts a thread. Executes the time-consuming task in the construct method; finally calls the finish().

Method Detail

### construct

    public abstract java.lang.Object construct()

  Implement this class; the time-consuming task will go here.

  Returns:
    Object

### start

    public void start()

  Starts the thread.

### interrupt

    public void interrupt()

  Forces the thread to stop what it's doing.

### finished

    public void finished()

  Called on the event dispatching thread once the construct method has finished its task.

### get

    public java.lang.Object get()

  Returns the value created by the construct method.

  Returns:
    the value created by the construct method or null if the task was interrupted before it was finished.

Hosted by Hostbasket